# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# C:\Users\dev-admin\perseverance-python-buildout\aggregate\h5py-feedstock\recipe, last modified Wed Nov  8 19:26:21 2023
# ------------------------------------------------

package:
  name: h5py
  version: 3.9.0
source:
  sha256: ac46f5caae570c9312edea6f65ad4e894e8da44a868b7f263e15265bc3de7a16
  url: https://github.com/h5py/h5py/archive/3.9.0.tar.gz
build:
  number: '0'
  string: py312h59a1360_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.08.22 haa95532_0
    - cython 0.29.36 py312h2bbff1b_0
    - expat 2.5.0 hd77b12b_0
    - hdf5 1.12.1 h51c971a_3
    - icc_rt 2022.1.0 h6049295_2
    - intel-openmp 2023.1.0 h59b6b97_46319
    - libffi 3.4.4 hd77b12b_0
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-pkg-config 0.29.1 2
    - mkl 2023.1.0 h6b88ed4_46357
    - mkl-service 2.4.0 py312h2bbff1b_1
    - msys2-conda-epoch 20160418 1
    - numpy 1.26.0 py312hfd52020_0
    - numpy-base 1.26.0 py312h4dde369_0
    - openssl 3.0.12 h2bbff1b_0
    - pip 23.3 py312haa95532_0
    - pkgconfig 1.5.5 py312haa95532_0
    - python 3.12.0 h1d929f7_0
    - setuptools 68.0.0 py312haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.41.2 py312haa95532_0
    - xz 5.4.2 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - hdf5 >=1.12.1,<1.12.2.0a0
    - numpy >=1.26.0,<2.0a0
    - python >=3.12,<3.13.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands:
    - pip check
  imports:
    - h5py
    - h5py.tests
    - h5py.tests.data_files
    - h5py.tests.test_vds
  requires:
    - curl
    - pip
    - pytest
    - pytest-mpi
about:
  description: Read and write HDF5 files from Python
  dev_url: https://github.com/h5py/h5py
  doc_url: https://docs.h5py.org/en/stable/
  home: https://www.h5py.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: licenses/license.txt
  summary: Read and write HDF5 files from Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - minrk
    - ocefpaf
    - scopatz
    - tacaswell
